//---------------------------------------------------------------------------------------------------------------------------------------------------
// Last Change: 2023-01-25      Name: export.cpp        Language: American English
//---------------------------------------------------------------------------------------------------------------------------------------------------
// This file contains all language-dependent text definitions of the module EXPORT_.DLL. Together with
// the file EXPORT.RC, it is used to build the language library EXPORT.DLL.
// The library file EXPORT.LIB which is created during the compilation of this language DLL must be
// linked to the module's main DLL in order to have access to the texts and resources defined here.
//---------------------------------------------------------------------------------------------------------------------------------------------------

#include  "windows.h"
#include  "windowsx.h"
#include  "stdlib.h"
#include  "d2d1.h"
#include  "d2d1_1.h"
#include  "dwrite.h"
#include  "wincodec.h"

#include  "x:\mkcad6\mki_lib6\mki_lib6.h"
#include  "x:\mkcad6\mki_lib6\CompileDate.h"

//---------------------------------------------------------------------------------------------------------------------------------------------------

MKI_INTERFACE_EXPORT LPWSTR
eStartUpText[] =
{
  L"Release " MKCAD6_VERSION_STRING_W L", %s\n\nCopyright " MK_COPYRIGHT_YEAR_W L" Malz++Kassner GmbH", // 00
  L"Coordinates (*.TXT)",          // 01
  L"Coordinate Export (*.TXT)...", // 02
  L"Coordinates (*.txt)",          // 03
  L"*.txt",                        // 04
  L"txt",                          // 05
  MKI_END_TEXTW
},

eDialogText[] =
{
  L"Coordinate Export",         // 00
  L"untitled.txt",              // 01
  L"Exporting to File\n%s...",  // 02
  L"Line %s",                   // 03
  L"The export was cancelled.", // 04
  L"Error writing to file.",    // 05
  MKI_END_TEXTW
};


//---------------------------------------------------------------------------------------------------------------------------------------------------
// This DLL entry procedure must exist in any DLL to be used in Win32. Since our language DLL does not
// need any initialization, this procedure is quite empty.
BOOL WINAPI
DllMain( HINSTANCE f_hInstance, DWORD f_dwReason, LPVOID f_pDummy )
{
  f_hInstance;  // Touch formal parameter to avoid C4100
  f_dwReason;   // Touch formal parameter to avoid C4100
  f_pDummy;     // Touch formal parameter to avoid C4100

  return( true );
}
