//---------------------------------------------------------------------------------------------------------------------------------------------------
// Last Change: 2023-04-20      Name: sample.cpp        Language: American English
//---------------------------------------------------------------------------------------------------------------------------------------------------
// This file contains all language-dependent text definitions of the module SAMPLE_.DLL. Together with
// the file SAMPLE.RC, it is used to build the language library SAMPLE.DLL.
// The library file SAMPLE.LIB which is created during the compilation of this language DLL must be
// linked to the module's main DLL in order to have access to the texts and resources defined here.
//---------------------------------------------------------------------------------------------------------------------------------------------------

#include  "windows.h"
#include  "windowsx.h"
#include  "stdlib.h"
#include  "d2d1.h"
#include  "d2d1_1.h"
#include  "dwrite.h"
#include  "wincodec.h"

#include  "x:\mkcad6\mki_lib6\mki_lib6.h"
#include  "x:\mkcad6\mki_lib6\CompileDate.h"
#include  "x:\mkcad6\mki_lib6\Dialog.h"


//---------------------------------------------------------------------------------------------------------------------------------------------------
MKI_INTERFACE_EXPORT LPWSTR
eStartUpText[] =
{
  L"Release " MKCAD6_VERSION_STRING_W L", %s\n\nCopyright " MK_COPYRIGHT_YEAR_W L" Malz++Kassner GmbH", // 00
  L"Sample Plug-In",   // 01
  L"Sample Plug-In >", // 02
  MKI_END_TEXTW
},

eDialogText[] =
{
  L"Sample Plug-In",                                       // 00
  L"Star",                                                 // 01
  L"Execution impossible.\nPossibly insufficient memory.", // 02
  L"Invalid number. Enter values between 3 and 100.",      // 03
  L"%d points",                                            // 04
  MKI_END_TEXTW
},

eCommandName[] =
{
  L"Sample Plug-In >Star (Polyline)...",        // 00
  L"Sample Plug-In >Star (Extended Object)...", // 01
  nullptr,                                      // 02
  L"Sample Plug-In >About...",                  // 03
  MKI_END_TEXTW
},

eCommandEntry[] =
{
  L"&1  Star (Polyline)...",        // 00
  L"&2  Star (Extended Object)...", // 01
  nullptr,                          // 02
  L"&+  About...",                  // 03
  MKI_END_TEXTW
},

eNewPoint[] =
{
  L"Enter Inner Radius", // 00
  L"Enter Outer Radius", // 01
  MKI_END_TEXTW
};


//---------------------------------------------------------------------------------------------------------------------------------------------------
MKI_INTERFACE_EXPORT MKI_TOOLTIP_ENTRY
eTooltipDialogProperty[] =
{
  { IDD_EDIT0, L"Enter the number of points here that the star shall have.\n\nAllowed values are 3 to 100." },

  { IDD_CHECK0, L"If checked, the number of points will be applied to all selected stars.\n\nIt is enabled automatically as soon as the number of points is changed." },

  { -1, MKI_END_TEXTW },
};


//---------------------------------------------------------------------------------------------------------------------------------------------------
// This DLL entry procedure must exist in any DLL to be used in Win32. Since our language DLL does not
// need any initialization, this procedure is quite empty.
BOOL WINAPI
DllMain( HINSTANCE f_hInstance, DWORD f_dwReason, LPVOID f_pDummy )
{
  f_hInstance;  // Touch formal parameter to avoid C4100
  f_dwReason;   // Touch formal parameter to avoid C4100
  f_pDummy;     // Touch formal parameter to avoid C4100

  return( true );
}
